
Redmine - Defect #12400

Validation fails when receiving an email with list custom fields

2012-11-19 12:59 - Diego Fernández

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version: 2.1.5   

Resolution: Fixed Affected version:  

Description

Hi,

Sorry for my very bad english.

After upgrade Redmime from version 1.2.0 to version 2.1.2 incoming mails with Issue Custom Field failed with this error:

Validation failed: <My_Defined_Custom_Field> is not included in the list

Example:

Validation failed: Departamento Solicitante is not included in the list

In incoming mail I have this fields:

Fecha Solicitud: 2012-11-19

Tracker: Cambio

Departamento Solicitante: COMERCIAL

Project: solcambio

Except "Project", other fields are "custom field".

Thanks for your help.

Related issues:

Related to Redmine - Defect #12471: Cannot dissallow field overriding ? New

Associated revisions

Revision 10992 - 2012-12-13 14:14 - Jean-Philippe Lang

Fixed that validation fails when receiving an email with list custom fields (#12400).

Revision 11005 - 2012-12-15 08:52 - Jean-Philippe Lang

Merged r10992 from trunk (#12400).

Revision 11006 - 2012-12-15 08:52 - Jean-Philippe Lang

Merged r10992 from trunk (#12400).

History

#1 - 2012-11-19 17:39 - Diego Fernández

Sorry, this is my environment:

About your application's environment

Ruby version              1.8.7 (i686-linux)

RubyGems version          1.6.2

Rack version              1.4

Rails version             3.2.8

Active Record version     3.2.8

Action Pack version       3.2.8

Active Resource version   3.2.8

Action Mailer version     3.2.8

Active Support version    3.2.8

Middleware                Rack::Cache, ActionDispatch::Static, Rack::Lock, #<ActiveSupport::Cache::Strategy::LocalCache::Middleware:0x75c4c50>,

Rack::Runtime, Rack::MethodOverride, ActionDispatch::RequestId, Rails::Rack::Logger, ActionDispatch::ShowExceptions,

ActionDispatch::DebugExceptions, ActionDispatch::RemoteIp, ActionDispatch::Callbacks,

ActiveRecord::ConnectionAdapters::ConnectionManagement, ActiveRecord::QueryCache, ActionDispatch::Cookies,

ActionDispatch::Session::CookieStore, ActionDispatch::Flash, ActionDispatch::ParamsParser, ActionDispatch::Head, Rack::ConditionalGet,
Rack::ETag, ActionDispatch::BestStandardsSupport, OpenIdAuthentication

Application root          /opt/redmine-it/apps/redmine/htdocs

Environment               production

Database adapter          mysql

Database schema version   20120731164049

With Redmine 2.1.2 (Bitnami stack version).

#2 - 2012-11-21 10:10 - Diego Fernández

Sorry for my very bad english.

More data to problem:

Validation of custom fields only fail with custom field type "list".

All others custom fields are validated fine.

Thanks for any help.

#3 - 2012-11-21 21:18 - Jean-Philippe Lang

What are the exact valid values for this custom field?

#4 - 2012-11-22 09:50 - Diego Fernández

Hi,

Sorry for my very bad english.

For custom field of example provided, those are valid values:

ADMINISTRACION

COMERCIAL

COMPRAS

CG

DIRECCION

DISEÑO

DISTRIBUCION

FABRICACION

I+C

INFORMATICA

INVENTARIOS

LOGISTICA

RRHH

RSC

SSGG

Custom field validation failed with all my list type custom fields (on version "pre-upgrade" 1.2.0 validations works fine). All other types of custom fields

are correctly validated.

Redmine is installed in Spanish Language.

Environment:

Redmine version                          2.1.2.stable

Ruby version                             1.8.7 (i686-linux)

Rails version                            3.2.8

Environment                              production

Database adapter                         MySQL

Redmine plugins:

no plugin installed

Thanks for your help.

Diego

#5 - 2012-11-25 05:37 - Toshi MARUYAMA

- Category set to Email receiving

#6 - 2012-12-12 15:33 - Diego Fernández

- File Custom field-Issues-Area BI.png added

- File Custom field-Issues-Departamento Solicitante.png added

- File Custom field-issues-Fecha solicitud.png added

- File Custom field-Projects-Departamento.png added

Sorry for my very bad english.

More data: ON A CLEAN INSTALLATION FAILS TOO.

Is not issue with updated installation. I had installed a new Bitnami-Redmine Stack with ultimate version (2.1.4) on linux environment and incoming
e-mail with custom field fails with "validation failed". ***

Validation failed: Departamento Solicitante is not included in the list, Area BI is not included in the list 

Environment:

New and clean installation of Bitnami Redmine Stack 2.1.4 for linux (x86) in Spanish Language

Environment:

Redmine version                          2.1.4.stable

Ruby version                             1.9.3 (i686-linux)

Rails version                            3.2.8

Environment                              production

Database adapter                         Mysql2

Redmine plugins:

no plugin installed

After installation:

Create user.

Change "Enumerations"->"Issue priorities" values. (1-Alta, 2-Media alta, 3-Media baja, 4-Baja, No priorizado).

Create "Custom fields" Issue(screenshoot atached): Departamento Solicitante (list), Area BI (list), Fecha Solicitud (date).

Create "Custom fields" Project (screenshoot atached): Departamento Solicitante (list).

Create tracker "cambio" with custom field "Departamento Solicitante".

Create project "Solicitud cambio" (solcambio) With tracker cambio and custom fields "Departamento solicitante", "Area BI" and "Fecha solicitud". Only

module "issue tracking" and member user created.

Send e-mail to Redmine box with custom fields:

Fecha Solicitud: 2012-11-19

Tracker: Cambio

Departamento Solicitante: COMERCIAL

Project: solcambio

Area BI: NO

Received with imap:

rake -f /redmine_path/apps/redmine/htdocs/Rakefile --silent redmine:email:receive_imap RAILS_ENV=production host=mailserver

username=my_user password=my_password project=solcambio allow_override=tracker,priority,status,project

And production.log says:  ***

Connecting to database specified by database.yml

OpenIdAuthentication.store is nil. Using in-memory store.

Validation failed: Departamento Solicitante is not included in the list, Area BI is not included in the list

Any help?

Thanks.

Diego Fernández

#7 - 2012-12-13 14:15 - Jean-Philippe Lang

- Subject changed from Mail incoming failed after upgrade to Validation fails when receiving an email with list custom fields

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 2.1.5

- Resolution set to Fixed

I was able to reproduce. The problem was specific to list custom fields and it's fixed in r10992 with test added.

Thanks for pointing this out.

#8 - 2012-12-13 17:01 - Diego Fernández

Thanks for your help.

I applied path r10992 and incoming mail is working fine.

#9 - 2012-12-15 08:53 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Thanks for the feedback, fix merged in 2.1 and 2.2 stable branches.

Files

Custom field-Issues-Area BI.png 15.7 KB 2012-12-12 Diego Fernández

Custom field-Issues-Departamento Solicitante.png 20.3 KB 2012-12-12 Diego Fernández
Custom field-issues-Fecha solicitud.png 10.7 KB 2012-12-12 Diego Fernández

Custom field-Projects-Departamento.png 18.8 KB 2012-12-12 Diego Fernández
